<script>
export default {
  name: 'BhBrandLogoUi',
  data: () => ({
    onClick: 'reset-filters',
  }),
};
</script>

<template>
  <div data-cid="{ BhBrandLogoUi }" class="flex items-center">
    <div class="relative">
      <bh-brand-logo-button-ui @click="$emit('click', onClick)" />

      <client-only>
        <bh-sw-indicator
          class="absolute top-2 -right-3"
          @is-update="onClick = 'reload'"
        />
      </client-only>
    </div>
  </div>
</template>
